<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function getBrowserType()
{
  if(!isSet($_SERVER['HTTP_USER_AGENT'])){
    return("INNE");
  }
  $browser_info = strtolower($_SERVER['HTTP_USER_AGENT']);
  
  if(strpos($browser_info, "opera") !== false){
    return("OPERA");
  }
  else if(strpos($browser_info, "firefox") !== false){
    return("FIREFOX");
  }
  else if(strpos($browser_info, "netscape") !== false){
    return("NETSCAPE");
  }
  else if(strpos($browser_info, "msie") !== false){
    return("MSIE");
  }
  else if(strpos($browser_info, "konqueror") !== false){
    return("KONQUEROR");
  }
  else{
    return("INNE");
  }
}

function printRank()
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    mysql_close($link);
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }

  $browserType = getBrowserType();

  $query = "UPDATE BROWSERS SET COUNT = COUNT + 1 WHERE NAME = '$browserType'";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }

  $query = "SELECT * FROM BROWSERS ORDER BY COUNT DESC";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }
  echo "<table border=\"0\">";
  echo "<tr><td colspan=\"3\" align=\"center\">";
  echo "Statystyka przeglądarek";
  echo "</td></tr>";

  $count = 1;
  while($row = mysql_fetch_array($result)){
    echo "<tr><td>";
    echo $count++;
    echo "</td><td>";
    echo $row[0];
    echo "</td><td align=\"right\">";
    echo $row[1];
    echo "</td><td>";
  }
  echo "</table>";
  mysql_close($link);
  return true;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Statystyka przeglądarek</title>
</head>
<body>
<div>
<?php if(!printRank()) echo("Ranking przeglądarek nie jest dostępny."); ?>
</div>
</body>
</html>
